about summary refs log tree commit diff stats
path: root/crates/bytes/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'crates/bytes/update.sh')
-rwxr-xr-xcrates/bytes/update.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/crates/bytes/update.sh b/crates/bytes/update.sh
new file mode 100755
index 0000000..c1a0215
--- /dev/null
+++ b/crates/bytes/update.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+
+# yt - A fully featured command line YouTube client
+#
+# Copyright (C) 2024 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of Yt.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
+
+cd "$(dirname "$0")" || exit 1
+[ "$1" = "upgrade" ] && cargo upgrade --incompatible
+cargo update